--   
DROP DATABASE FlenovSQLBook
GO

--   
CREATE DATABASE FlenovSQLBook
GO

--     
USE FlenovSQLBook

--   
CREATE TABLE tbPosition
(
 idPosition int IDENTITY(1,1), 
 idParentPosition int, 
 vcPositionName varchar(30),  
 CONSTRAINT PK_idPosition PRIMARY KEY (idPosition),
 CONSTRAINT FK_idParentPosition FOREIGN KEY (idParentPosition)
   REFERENCES tbPosition (idPosition)
)

--   
CREATE TABLE tbPeoples
(
  --  
  idPeoples int IDENTITY(1, 1),
  vcFamil varchar(50),
  vcName varchar(50),
  vcSurname varchar(50),
  idPosition int, 
  dDateBirthDay datetime, 

  --  
  CONSTRAINT PK_idPeoples PRIMARY KEY (idPeoples),
  CONSTRAINT FK_idPosition FOREIGN KEY (idPosition)
     REFERENCES tbPosition (idPosition), 

  --  
  CONSTRAINT check_dDateBirthDay CHECK (dDateBirthDay<getdate())
)

--    
CREATE TABLE tbPhoneType
(
 idPhoneType int IDENTITY(1, 1),
 vcTypeName varchar(20),

 CONSTRAINT PK_idPhoneType PRIMARY KEY (idPhoneType),
)

--   
CREATE TABLE tbPhoneNumbers
(
  --  
  idPhoneNumbers int IDENTITY(1, 1),
  idPhoneType int, 
  idPeoples int,
  vcPhoneNumber varchar(15),

  --  
  CONSTRAINT PK_idPhoneNumbers PRIMARY KEY (idPhoneNumbers),
  CONSTRAINT FK_idPhoneType FOREIGN KEY (idPhoneType)
     REFERENCES tbPhoneType (idPhoneType), 
  CONSTRAINT FK_idPeoples FOREIGN KEY (idPeoples)
     REFERENCES tbPeoples (idPeoples), 

  --  
  CONSTRAINT check_vcPhonenumber CHECK (vcPhonenumber LIKE 
    '([0-9][0-9][0-9]) [0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]')
)

--    
CREATE TABLE 
(
  [] datetime, 
  [ ] varchar(50),
  [] money,
  [] numeric(10, 2)
)

